Latest 1.0.0
Homepage https://github.com/ridibooks/simple-notifier-ios
License MIT
Platforms ios 8.0
Dependencies Alamofire, SwiftyUserDefaults
Authors

SimpleNotifier Client for iOS

Screenshot of the demo project

Requirements

  • Xcode 8.0+
  • Swift 3
  • iOS8+

Getting Started

You need to install the CocoaPods to add this library as a dependency in your project.

gem install cocoapods

Add the line below to the Podfile of your project.

pod ‘SimpleNotifier’

From terminal, navigate to the directory containing the Podfile, then

pod install

For more details, please have a look at the SimpleNotifier-Demo Xcode project in this repository, and the podspec file.

Latest podspec

{
    "name": "SimpleNotifier",
    "version": "1.0.0",
    "authors": {
        "Ridibooks Viewer Team": "[email protected]"
    },
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "homepage": "https://github.com/ridibooks/simple-notifier-ios",
    "source": {
        "git": "https://github.com/ridibooks/simple-notifier-ios.git",
        "tag": "1.0.0"
    },
    "summary": "Simple notifier SDK for iOS",
    "screenshots": "https://raw.githubusercontent.com/ridibooks/simple-notifier-ios/master/screenshot-demo.png",
    "platforms": {
        "ios": "8.0"
    },
    "dependencies": {
        "Alamofire": [
            "~> 4.0"
        ],
        "SwiftyUserDefaults": [
            "~> 3.0.0"
        ]
    },
    "source_files": "SimpleNotifier/Classes/**/*",
    "pushed_with_swift_version": "3.0"
}

Pin It on Pinterest

Share This